Skip to main content
GET
List tasks

Authorizations

Authorization
string
header
required

Bearer token authentication

Headers

x-client-id
string<cuid>
required

The ID of the client

Example:

"cmf41ajzv003706un4i99q19z"

Query Parameters

limit
number
default:20

The number of items to return

Required range: 1 <= x <= 100
Example:

20

cursor
string<cuid>

The cursor to return the next page of items

Example:

"cmf41ajzv003706un4i99q19z"

workspaceId
string<cuid>

The ID of the workspace

Example:

"cmf41ajzv003706un4i99q19z"

parentId
string<cuid>

The ID of the parent task

Example:

"cmf41ajzv003706un4i99q19z"

sort
enum<string>
default:createdAt

The sort field of the results

Available options:
createdAt,
updatedAt,
dueDate,
status,
title
Example:

"createdAt"

order
enum<string>
default:desc

The order of the results based on the sort field

Available options:
asc,
desc
Example:

"desc"

Response

Tasks

data
object[]
required
pagination
object
required